Skip to main content

[pkg-discuss] Re: 17913496 certificates for test suite are expiring

  • From: Erik Trauschke < >
  • To:
  • Cc: Yiteng Zhang < >
  • Subject: [pkg-discuss] Re: 17913496 certificates for test suite are expiring
  • Date: Fri, 20 Dec 2013 11:48:51 -0800



On 12/20/13 09:32 AM, Erik Trauschke wrote:


On 12/20/13 12:57 AM, Yiteng Zhang wrote:
I ran one test in the pkg gate updated to the branch s11-update, the
other in s11u1-sru.

That's not what I meant.

The issue with the elf test was that a binary has been removed from the
operating system and our test was looking for it. However, this change
has been done in S12 and afaik not in S11.

Since this is the S11 gate the pkg bits in this gate are supposed to be
run in S11, not S12. So to properly test this you'd need an S11
installation (S11 dev for s11-update, S11 support for s11-sru).

The repos for these are here:

S11 dev:     http://ipkg.us.oracle.com/solaris11/dev
S11 support: http://ipkg.us.oracle.com/solaris11/support

Just to make sure, you *CAN NOT* simply "update" your system to S11.
The way to run an older OS is using VirtualBox or a test machine which is running older bits.

The install images you get from here:

http://nana.us.oracle.com/products/

Erik


Erik



On Dec 19, 2013, at 6:42 PM, Erik Trauschke
< >
 wrote:



On 12/19/13 06:29 PM, Yiteng Zhang wrote:
On 12/18/13 10:57 PM, saurabh vyas wrote:
Hi Yiteng / Erik,

This issue impacts s11-update & s11u1-sru branches also.
Any plan for this to be fixed in these branches too ?
Yiteng please if you can address this too (would be very much
appreciated )

Thanks,
Saurabh

On 17-Dec-13 1:22 AM, Yiteng Zhang wrote:
Author: Yiteng Zhang 
< >
Repository: https://hg.java.net/hg/ips~pkg-gate
Branch: default
Latest revision: 7cf05f1a8ebdc7c056697baac3a2451e6ea30eb0
Log message:
17913496 certificates for test suite are expiring

Please see the following webrev for review:
https://ips.java.net/webrev/yitezhan/17913496_s11-update/
https://ips.java.net/webrev/yitezhan/17913496_s11u1-sru/

Bty, in the test suite, they still encounter the elf failure because
that elf fix is not put back for them.

Did you run the test suite on S11 or S12?

Erik


[pkg-discuss] 17913496 certificates for test suite are expiring

Yiteng Zhang 12/16/2013

Message not available

[pkg-discuss] Re: 17913496 certificates for test suite are expiring

Yiteng Zhang 12/20/2013

[pkg-discuss] Re: 17913496 certificates for test suite are expiring

Erik Trauschke 12/20/2013

[pkg-discuss] Re: 17913496 certificates for test suite are expiring

Yiteng Zhang 12/20/2013

[pkg-discuss] Re: 17913496 certificates for test suite are expiring

Erik Trauschke 12/20/2013

[pkg-discuss] Re: 17913496 certificates for test suite are expiring

Erik Trauschke 12/20/2013
 
 
Close
loading
Please Confirm
Close